GET /api/mcp/wellness
GET /api/mcp/wellnessAuthorization: Bearer <api-key>Returns daily wellness entries. See Wellness for field definitions.
Query parameters
Section titled “Query parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
from | string | No | Start date YYYY-MM-DD (inclusive) |
to | string | No | End date YYYY-MM-DD (inclusive) |
source | string | No | Filter by source: oura, garmin, whoop, manual |
Response
Section titled “Response”HTTP 200
[ { "id": "uuid", "date": "2025-03-15", "source": "oura", "rhr_bpm": 42, "hrv_rmssd": 68.2, "sleep_hours": 7.8, "readiness": 84, "created_at": "2025-03-15T08:00:00Z" }]Null metric columns are omitted from the response.
Example
Section titled “Example”curl "https://mydatafor.life/api/mcp/wellness?from=2025-01-01&to=2025-03-31&source=oura" \ -H "Authorization: Bearer $FITREPO_API_KEY"